petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLimiterSetType

Builds a particular PetscLimiter

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscLimiterSetType(PetscLimiter lim, PetscLimiterType name)

Collective on PetscLimiter

### Input Parameters

| lim | - The PetscLimiter object
| name | - The kind of limiter

### Options Database Key

-petsclimiter_type <type> -Sets the PetscLimiter type; use -help for a list of available types

### Keywords

PetscLimiter, set, type

### See Also

PetscLimiterGetType(), PetscLimiterCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtfv.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages